MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005383ATutorTests/Surveyspublic2013-11-03 09:412014-08-07 16:18
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2Fixed in Version2.2 
Summary0005383: reloading shuffled test
DescriptionIt is possible to reload a randomized test and get a new set of questions. The code that used to prevent this no longer seems to exist. Check if a shuffled test is being viewed and capture the intial quesiotns and order, and use it on any subsequrnt reloads,.
TagsNo tags attached.
Affects versionSVN
SVN Revision#aa3d5cd..becb4d9 master -> master
Attached Files

- Relationships

-  Notes
(0006817)
greg (administrator)
2014-07-08 19:17

bump
(0006854)
greg (administrator)
2014-08-07 14:54

added some session variables to capture the set of random questions so reloading the take test page uses those in the sesion if they exist
(0006874)
greg (administrator)
2014-08-07 16:18

Resolved in ATutor 2.2

- Issue History
Date Modified Username Field Change
2013-11-03 09:41 greg New Issue
2014-07-08 19:17 greg Note Added: 0006817
2014-08-07 14:52 greg Assigned To => greg
2014-08-07 14:52 greg Status new => assigned
2014-08-07 14:54 greg SVN Revision# => aa3d5cd..becb4d9 master -> master
2014-08-07 14:54 greg Note Added: 0006854
2014-08-07 14:54 greg Status assigned => resolved
2014-08-07 14:54 greg Fixed in Version => 2.2
2014-08-07 14:54 greg Resolution open => fixed
2014-08-07 16:18 greg Note Added: 0006874
2014-08-07 16:18 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker